Subject: Re: [PATCH] SCTP: Fix protocol violation When receiving an error lenght INIT-ACK

From: Vlad Yasevich <[email-masked]>
Date: Fri, 28 Mar 2008 09:35:37 -0400

Gui Jianfeng wrote:
> When receiving an error length INIT-ACK during COOKIE-WAIT,
> a 0-vtag ABORT will be responsed. This action violates the
> protocol apparently. This patch achieves the following things.
> 1 If the INIT-ACK contains all the fixed parameters, use init-tag
>   recorded from INIT-ACK as vtag.
> 2 If the INIT-ACK doesn't contain all the fixed parameters,
>   just reflect its vtag.
> 
> Signed-off-by: Gui Jianfeng <[email-masked]>
> ---

I applied this although there we witespace errors (which I fixed up).
I'll push this to David shortly.

-vlad